Package org.forgerock.openig.filter
Class StaticRequestFilter
java.lang.Object
org.forgerock.openig.filter.StaticRequestFilter
- All Implemented Interfaces:
Filter
Creates a new request and send it down the next handler (effectively replacing the previous request).
The request can include a form, specified in the
form field, which is included in an entity
encoded in application/x-www-form-urlencoded format if request method
is POST, or otherwise as (additional) query parameters in the URI.
{
"method" : string [REQUIRED]
"uri" : expression [REQUIRED]
"entity" : expression [OPTIONAL - cannot be used simultaneously
with a form in POST mode* ]
"form" : object [OPTIONAL]
"headers" : object [OPTIONAL]
"version" : string [OPTIONAL]
}
*Note: When method is set to POST, the entity and the form CANNOT be used together in the heaplet because they both determine the request entity. They still can used programmatically together but the form will override any entity content.
Example of use:
{
"name": "customRequestFilter",
"type": "StaticRequestFilter",
"config": {
"method": "POST",
"uri": "http://10.10.0.2:8080/wp-login.php",
"entity": "{\"auth\":{\"passwordCredentials\":
{\"username\":\"${attributes.username}\",
\"password\":\"${attributes.password}\"}}}"
"headers": {
"Warning": [ "199 Miscellaneous warning" ]
}
}
}
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classCreates and initializes a request filter in a heap environment. -
Method Summary
-
Method Details
-
filter
public Promise<Response,NeverThrowsException> filter(Context context, Request request, Handler next) Description copied from interface:FilterFilters the request and/or response of an exchange. To pass the request to the next filter or handler in the chain, the filter callsnext.handle(context, request).This method may elect not to pass the request to the next filter or handler, and instead handle the request itself. It can achieve this by merely avoiding a call to
next.handle(context, request)and creating its own response object. The filter is also at liberty to replace a response with another of its own by intercepting the response returned by the next handler.
-